/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.imda;

/**
 * 模型基本信息获取接口<br>
 * 此接口用于从模型中读取相关信息
 * 
 * @author luog
 * 
 */
public interface ModelInfomationGetter<T> {
	/**
	 * 返回标识
	 * 
	 * @param model
	 * @return
	 */
	String getId(T model);

	/**
	 * 返回英文名称
	 * 
	 * @param model
	 * @return
	 */
	String getName(T model);

	/**
	 * 返回分类,可以有多层分类，用"/"分隔<br>
	 * 比如：基础管理/用户权限/用户
	 * @param model
	 * @return
	 */
	String getCategory(T model);

	/**
	 * 返回标题
	 * @param model
	 * @return
	 */
	String getTitle(T model);// 返回标题
	/**
	 * 返回描述
	 * @param model
	 * @return
	 */
	String getDescription(T model);
}
